import { n as e, A as i, x as a, w as t, B as o, C as u } from "./index-e250a75e.mjs";
import "vue";
const b = {
  key: "_button",
  name: e("_.builtIn.element.button.name"),
  description: "",
  icon: "mdiButtonCursor",
  sequence: 11,
  transform: i("el-button", {}, (n, { config: l }) => {
    n["#default"] = l._label || "Button";
  }),
  // transform: function () {
  //   return {
  //     '~': 'el-button',
  //     '#': 'JAMIE',
  //     '^onMounted': function () {
  //       alert('333')
  //       console.log('MOUNTED IS CALLED in EL_BUTTON')
  //     }
  //   }
  // },
  editor: {
    basic: {
      init: { type: "primary", _label: "Button", size: "default" },
      ui: [
        a("_label", e("_.builtIn.element.button.label")),
        t("type", ["primary", "success", "warning", "danger", "info"], e("_.builtIn.element.button.type")),
        t("size", ["large", "default", "small"], e("_.builtIn.element.button.size")),
        o("disabled", e("_.builtIn.element.button.disabled")),
        u("color", void 0, {
          predefine: ["#ff4500", "#ff8c00", "#ffd700", "#90ee90", "#00ced1", "#1e90ff", "#c71585"]
        }, e("_.builtIn.element.button.color"))
      ]
    },
    data: !1,
    event: {
      list: ["click"],
      init: []
    },
    display: {
      init: {
        style: {
          // display: 'inline-block',
          // margin: '4px 0 4px 0'
        },
        class: ""
      }
    }
  }
};
export {
  b as default
};
